# Type Text

Types text into a text box

#### Text

* Text to type into a focused element

To press a special key, like `Control` or `ArrowDown`, use [Press Key](/reference/browserflow-commands/interact-with-page/press-key.md)

#### Typing large amounts of text

If you need to type a large amount of text and Type Text is too slow for your needs, you can use Javascript in [Run Script](/reference/browserflow-commands/utilities/run-script.md) to set the text directly. ([Demo flow](https://browserflow.app/shared/e123ffb1-aa67-482d-8d92-b01a81f2c888))

#### Typing "$"

If you need to type a literal "$" character (e.g. `$100`), you can use "\\$" to escape the character so that Browserflow doesn't interpret it as a variable (e.g. `\$100`).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.browserflow.app/reference/browserflow-commands/interact-with-page/type-text.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
